=== debian/changelog ===
charmap (1.0.0) unstable; urgency=low

  * Initial Build

 -- Peter Pichler <maemo@pichler.co.uk>  Wed, 07 May 2014 22:01:24 +0100
