=== debian/changelog ===
charmap (1.0.1) unstable; urgency=low

  * A fix for displaying the '&' character correctly
  * Fixed the version number shown in the About dialog

 -- Peter Pichler <maemo@pichler.co.uk>  Sat, 17 May 2014 09:44:31 +0100
