=== debian/control ===
Source: charmap
Section: user/utilities 
Priority: optional
Maintainer: Peter Pichler <maemo@pichler.co.uk>
Build-Depends: debhelper (>= 4.0.0),
 libhildon1-dev (>= 2.1.0),
 libgtk2.0-dev (>= 2.6.0),
 libgucharmap2-dev (>= 2.28.2-1)
Standards-Version: 3.6.0
Homepage: https://garage.maemo.org/projects/charmap
XSBC-Bugtracker: https://garage.maemo.org/tracker/?atid=7978&group_id=2387&func=browse

Package: charmap
Section: user/utilities
Architecture: any
Depends: ${shlibs:Depends}
Description: A character map application for Maemo, with a UI familiar from other operating systems.
XSBC-Bugtracker: https://garage.maemo.org/tracker/?atid=7978&group_id=2387&func=browse
XB-Maemo-Display-Name: Character Map
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABGdBTUEAANbY1E9YMgAAABl0RVh0
 U29mdHdhcmUAQWRvYmUgSW1hZ2VSZWFkeXHJZTwAAAiPSURBVGje7VprbBzVFT53ZnZnd+11nDjU
 jtfFiUMVUJwfoEj5UfVHJULbREpFqcIf+IciIUTdQoUMtEqFlFYJSi01iIQW0T9UFXWTSrRUQSUg
 5SEIghDlYW9cmkhN4hjwev3Y57wu59y5sztez3ofMVohca2jOzt3Huf5nXPPmHHO4es8FPiaj28E
 aPXQllvMF/Jw7uNzD6XTs3epqvp5X18iHQ6HbUVRTMaUAmMsgzRPlyKZSIZlW8We7m5b13X8yYAx
 AC/OJm/dYqZphvHeMJ4NAwcdV+J4HMdrotzhOueOevPmZGR+fj4RCoWK991377FEInGrGo8sOIg5
 XLo8vu7ipcsjmgIPb9iwHkzTQLLAMAwkE48FOaZlFRzHMfHlNr7csnG0t7c7KDA47sM5yoA8M7Yw
 n2EOMog/NBQMZ6apqqaHQloIFQM6UUQXs6ZpkM1kIDnx3/8lEt9+/Ic/2P4fuqamAIVCAU6efv9B
 pmojX0zd7H/g/u/D2ju+hVq0gS6VPJWPkSpVgDIACiWI1pB3QapWNrj7Wi6PF8+Ow8W90WgEjh9/
 G27cSjm2bYz86IHtezduHMhWdaGpqSl4+pfPfHfP408e6+1eA9m5lHiFYRTFA+sOLEUR5DElBMGZ
 rEfMoaVKTPrJtp3SmmXZsGZNJ5DWu7pWK7j29DPDz4Uf/PHOnz3yyKPBQfzSoUPwwdkPN65a1Q5o
 W2RCbSqwiNl6aZE7MFYiRWFSGaowV3tbDAzTumffvt9CLpcLFmD076Og65GY+3AHFFURD2spTKqK
 AAPiCWNLSyaT6tjYWLAAFDjIb8j7TYHY6qGiBXw6JH5VVnGixs2ttAAXSiQeeDOJrNUuRCHigUHD
 mZiXXKi1MaBqZS9gDVmAgzRfdaiMRCIQlFxWOgZgGS9QlvM/YpIFyE3nMdXDiRMnYHx8/CsVQrhx
 s8WccCFWzpj+EYvF4J13TsATTzwJ169fRyH0rxCFWPMCCASo4J+yJjH87LPD0Nu7Dvbt+52olWoF
 XDNR7CpR+kGAIDVgVKnqf5ZlQkdHJ4yM/B6wPoGZmRnA6nGFQZSUWHahIEtoy/ufChBQrXrp/tNP
 J+DGjZuwefNmmJiYoEwpqFgsrhiMMkVZFoW05W4m/wuqV8isL798BN5669+iZllYyGAc/B8GBzfD
 oUN/gP5+t/y+fQEctxZizHWjABfValWVlfHrFWF3370JcLMBmzZ9B5+tYtl7HIaGfg4HDrwIhw8f
 lrHDb1MALsrwkgs1tiPjwv94AAJRvb99+/2CcW9Qifvmm/+Ed999Dz77bArWrl2LcWLdvgDShXiV
 INZqoVA1JdJDM5kF+OSTc3D58hhMT6cwHm4I/5+dnYXu7u4VEaCMhLyJIA6IARq03z158hS88sof
 YXJyUkDp6tWrhdXcjYm9MkGMGxumuP4PzQigqkuDhrLulStXYP/+A9DX1wevvvonDNo7sRQPw1NP
 /QLR6PUVAlFGe2qMARdG/Zucuos5zwJ+K9C5jz76GLLZHOzZ8xjmgLtKGqdzQS9pin3mK2c8GGVK
 4+U0r5IHCOLI712XisKFC+fh9OnTIpmtVLuS9saKTKauBRqBUS+NL0EgC7Zt2wbHjv0DMf8lSCav
 wNzcHJw6dQoSiV64evUqBnc2UFtNo5CnuEbzQFAio37QwMAA7N37a3jjjb/BmTNnMIA74YUXfoMC
 a3DkyBEsMeIrEsh+GGWyPVOXAGxRyeDiftl8TLRZBgcHYcuWLaImCoXCpfzw2mt/RiGLeN7w+S4L
 rGhrdTGYzL6ipdOoC3GJOJGI7vaFbL4oFVKXzqsQi0XDrVvEiUK5fmJ+5mR9Ig5cxaiSIU02vPww
 6fq8CtFIFDpXrYIZzC1BLq1Vq4OoL9TWFoPp1AwU8vlSewNkl418nBDHjxKBUCI7cBSQYiZhHDnL
 phc1sSjpmZYtG1tuLknPzsHgPZugd10PCpBuwAL4YNI+vYAClLIrvdCmF8u2IQlJTNlUbDiVnTaZ
 0HjAOZtm2+3QgcR5heCQiaTl+rsrnGmYcL1jEjZuoDwTcqvjuixA0IgC5FHzrv9TWe2IFS+peBoV
 GpOxUu6sQSnwKs+5SlTce6neUqQlpUW9ePH6rl8gVG+4sw9i0WigpZVqQUx4TolJBFOLOhIUwBnk
 YSGTQXduC3QhpdpmnlRGnepWDlIcuWwqPSs61UpdFpAJzA0qs+W9URpzGMwCLOqxgFsDsVIrvNWD
 FJjL5cHABKqpNVFIBJFCN5EANVvjvNkMK/MDlHMElx9NwAtvzuW3BC6Yz4lCcWm/X6uE7WKxsECJ
 aV33HdAet0WmtS0HDHQpiz4r0SwI16hccJhsfjnl7CkRx+OoEqGoTCcr0yrlG9IsJTOXVPdcqaXI
 QQ9pFNEwk5qeW1YAKgnGx5MXfvX88L9++tBP7o3HO0K6HlZ0PcKisagaj8f1SCQaira30bct4Zfu
 lpO5szSKp2GnZC2nrHWRxJySdpnUOX2dwULRMYpFM5fNFufSGQthnBcLBds0Def8+fOf//Uvrx+l
 Es1fny36RjY8PIwblf29ePg9pAGqJqSQGjIb7ujoiCKc4YYsgnkujApT0d1QlwLHGUPoVWNtbRqm
 fw0vCoX1MMK8wtCiNiZDC1HNyueyZh5nkQxRQof+bMcxTMM2ioaBTBu4Vc0X3d4MffmkfSlVhtNI
 7/f3918aGxuzqDO4RADqc+7cuVO9du3aGvzZSfmMDLMMad5HBzkz38x8IMGFjy2dvWNLMmv4mDYr
 aAHRcfrgwYOFoaGhYAvQSKfTMDo6CkePHoVUKuWHZJbNZpVkMhnEqL/zUbleKUAl+dedrq4uZ/36
 9U7FGuzYsQN27doFW7duXQw7jeyeCJkuXrxY9/Vnz54VG5zdu3fX/bmqp6cHN0aJ+mH2m/9WafH4
 Ekc02ty1xLL7AAAAAElFTkSuQmCC
