## charmap 1.0.2

=== debian/changelog ===
charmap (1.0.2) unstable; urgency=low

  * Smaller characters in the chart, more fit on the screen
  * Added icon to About dialog

 -- Peter Pichler <maemo@pichler.co.uk>  Sun, 18 May 2014 07:23:18 +0100
