=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: charmap
-Section: user/utilities 
+Section: user/utilities
 Priority: optional
 Maintainer: Peter Pichler <maemo@pichler.co.uk>
 Build-Depends: debhelper (>= 4.0.0),
@@ -11,7 +11,6 @@
 XSBC-Bugtracker: https://garage.maemo.org/tracker/?atid=7978&group_id=2387&func=browse
 
 Package: charmap
-Section: user/utilities
 Architecture: any
 Depends: ${shlibs:Depends}
 Description: A character map application for Maemo, with a UI familiar from other operating systems.
