## charmap 1.0.3

=== debian/changelog ===
charmap (1.0.3) unstable; urgency=low

  * Added font face and size selection in main menu
  * Resolved unwanted characrer insertion on chart scroll

 -- Peter Pichler <maemo@pichler.co.uk>  Thu, 22 May 2014 09:57:36 +0100
